## Vte PTY Vte PTY |

## Functions

VtePty * | vte_pty_new_sync ()
VtePty * | vte_pty_new_foreign_sync ()
void | vte_pty_child_setup ()
int | vte_pty_get_fd ()
gboolean | vte_pty_set_size ()
gboolean | vte_pty_get_size ()
gboolean | vte_pty_set_utf8 ()
void | vte_pty_close ()

## Properties

gint | fd | Read / Write / Construct Only
VtePtyFlags | flags | Read / Write / Construct Only

## Types and Values

enum | VtePtyFlags
enum | VtePtyError
| VtePty

## Object Hierarchy

        GEnum
        ╰── VtePtyError
        GFlags
        ╰── VtePtyFlags
        GObject
        ╰── VtePty

## Implemented Interfaces

VtePty implements GInitable.

## Description

## Functions

### vte_pty_new_sync ()

    VtePty *
    vte_pty_new_sync (VtePtyFlags flags,
                      GCancellable *cancellable,
                      GError **error);

### vte_pty_new_foreign_sync ()

    VtePty *
    vte_pty_new_foreign_sync (int fd,
                              GCancellable *cancellable,
                              GError **error);

### vte_pty_child_setup ()

    void
    vte_pty_child_setup (VtePty *pty);

### vte_pty_get_fd ()

    int
    vte_pty_get_fd (VtePty *pty);

### vte_pty_set_size ()

    gboolean
    vte_pty_set_size (VtePty *pty,
                      int rows,
                      int columns,
                      GError **error);

### vte_pty_get_size ()

    gboolean
    vte_pty_get_size (VtePty *pty,
                      int *rows,
                      int *columns,
                      GError **error);

### vte_pty_set_utf8 ()

    gboolean
    vte_pty_set_utf8 (VtePty *pty,
                      gboolean utf8,
                      GError **error);

### vte_pty_close ()

    void
    vte_pty_close (VtePty *pty);

`vte_pty_close` is deprecated and should not be used in newly-written code.

## Types and Values

### enum VtePtyFlags

#### Members

VTE_PTY_NO_LASTLOG | Unused. Deprecated: 0.38 |
VTE_PTY_NO_UTMP | Unused. Deprecated: 0.38 |
VTE_PTY_NO_WTMP | Unused. Deprecated: 0.38 |
VTE_PTY_NO_HELPER | Unused. Deprecated: 0.38 |
VTE_PTY_NO_FALLBACK | Unused. Deprecated: 0.38 |
VTE_PTY_DEFAULT | the default flags |

### enum VtePtyError

#### Members

VTE_PTY_ERROR_PTY_HELPER_FAILED | Obsolete. Deprecated: 0.42 |
VTE_PTY_ERROR_PTY98_FAILED | failure when using PTY98 to allocate the PTY |

### VtePty

    typedef struct _VtePty VtePty;

## Property Details

### The `“fd”` property

      “fd”                       gint

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: -1

### The `“flags”` property

      “flags”                    VtePtyFlags

Flags: Read / Write / Construct Only